PGAGetCharacterAllele(1)

NAME
PGAGetCharacterAllele - Returns the value of character allele in a PGA_DATATYPE_CHARACTER string

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in
i   - allele index

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
char  PGAGetCharacterAllele(ctx, p, pop, i)
PGAContext *ctx
int p
int pop
int i

LOCATION
char.c

EXAMPLE
Example:
Copies the alleles from member p in PGA_OLDPOP to member q in PGA_NEWPOP.
Assumes the strings are of the same length.

PGAContext *ctx;
int p, q, i;
:
for (i=PGAGetStringLength(ctx, p, PGA_NEWPOP)-1; i>=0; i--)
PGASetCharacterAllele(ctx, q, PGA_NEWPOP, i,
PGAGetCharacterAllele(ctx, p, PGA_OLDPOP, i))